Subject: bug#63107: 30.0.50; display-buffer-in-childframe sometimes crashes Emacs on Mac

From: Alan Third <[email-masked]>
Date: Sun, 7 May 2023 23:56:19 +0100

On Sat, May 06, 2023 at 04:01:57PM -0700, Yuan Fu wrote:
> 
> Alan Third <[email-masked]> writes:
> 
> > On Fri, Apr 28, 2023 at 01:00:07PM -0700, Yuan Fu wrote:
> >> 
> >> 
> >> > On Apr 28, 2023, at 12:35 PM, Alan Third <[email-masked]> wrote:
> >> > 
> >> > On Thu, Apr 27, 2023 at 01:36:28PM -0700, Yuan Fu wrote:
> >> >> 
> >> >>> 
> >> >>> Entirely untested patch attached. I can't even try compiling it.
> >> >>> 
> >> >>> Good luck.
> >> >> 
> >> >> Uh oh, I tried it and it crashed on startup.
> >> > 
> >> > I did say it was untested. ;)
> >> > 
> >> > I made a silly mistake. Updated patch attached.
> >> 
> >> Compiles and runs perfectly. Solves the
> >> display-buffer-in-child-frame crash too. I’ll be running with this
> >> for a couple of days. Any particular operations I could test to
> >> expose potential problems?
> >
> > Just doing things with the toolbar, like turning on and off frame
> > decorations, going into fullscreen and back, etc. to make sure it
> > appears when it should and doesn't when it shouldn't.
> 
> I’ve been using this patch for a couple of days (I always have tool bar
> enabled), I also tried maximizing/minimizing, toggling tool-bar-mode,
> toggling frame decorations, and clicking on toolbar icons. Everything
> seems to be just fine.

Thanks.

I just pushed this to master as
3adc1e7f37901235bda83ea65a90644b7b0a8dbf, but on reflection I'm
wondering if it should have gone into the emacs-29 branch instead?

I've no idea what the status of the various branches is just now...

-- 
Alan Third